<?php
/**
*
* @package ppkBB3cker
* @version $Id: viewtopic_add1_history.php 1.000 2009-02-21 14:13:00 PPK $
* @copyright (c) 2008, 2009 PPK
* http://ppkbb3cker.rx22.ru, http://protoneutron.narod.ru
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

/**
* @ignore
*/
if (!defined('IN_PHPBB'))
{
	exit;
}
					$sort_opt[$torrent_opt]=array('username', 'downloaded', 'uploaded', 'completedat', 'ratio', 'startdat', 'to_go', 'last_action');
					if(!in_array($opt_param, $sort_opt[$torrent_opt]))
					{
						$opt_param=$sort_opt[$torrent_opt][0];
					}
						foreach($sort_opt[$torrent_opt] as $v)
						{
							$postrow=array_merge($postrow, array(
								'TORRENT_SORT_HEADER_'.strtoupper($v) => "$viewtopic_url&amp;opt={$torrent_opt}&amp;opts=".($opt_sort=='DESC' ? 'ASC' : 'DESC')."&amp;optp={$v}#opt",
										)
									);
						}
						if($opt_param=='ratio')
						{
							$sql_addon="s.uploaded/s.downloaded $opt_sort";
						}
						else if($opt_param=='username')
						{
							$sql_addon="u.$opt_param $opt_sort";
						}
						else
						{
							$sql_addon="s.$opt_param $opt_sort";
						}

					$sql='SELECT s.*, u.username, u.user_id, u.user_colour FROM '. TRACKER_SNATCHED_TABLE ." s LEFT JOIN ". USERS_TABLE ." u ON s.userid=u.user_id WHERE s.torrent='$torrent_id' ORDER BY $sql_addon";
					$result=$db->sql_query($sql);
					while($userlist=$db->sql_fetchrow($result))
					{
						$i3+=1;
						$assign_vars[$i3]['TORRENT_USER'] = !empty($userlist['username']) ? get_username_string('full', $userlist['user_id'], $userlist['username'], $userlist['user_colour'], $userlist['username']) : '&nbsp;';
						$assign_vars[$i3]['TORRENT_UP'] = get_formatted_filesize($userlist['uploaded'], 0).' '.get_size_lang($userlist['uploaded']);

						$assign_vars[$i3]['TORRENT_DOWN'] = get_formatted_filesize($userlist['downloaded'], 0).' '.get_size_lang($userlist['downloaded']);

						$assign_vars[$i3]['TORRENT_RATIO'] = get_ratio($userlist['uploaded'], $userlist['downloaded']);
						$assign_vars[$i3]['TORRENT_COMPLETED'] = sprintf("%.2f%%", 100 * (1 - ($userlist["to_go"] / $torrents[$userlist['torrent']]['size'])));
						$assign_vars[$i3]['TORRENT_START'] =  $userlist['startdat'] ? date('Y-m-d H:i:s', $userlist['startdat']) : '';
						$assign_vars[$i3]['TORRENT_END'] =  $userlist['completedat'] ? date('Y-m-d H:i:s', $userlist['completedat']) : '';
						$assign_vars[$i3]['TORRENT_LAST'] =  $userlist['last_action']? date('Y-m-d H:i:s', $userlist['last_action']) : '';
					}
					$torrent_info_curr=$torrent_opt;
					$torrent_info[$torrent_opt]='<b>'.$torrent_info[$torrent_info_curr].'</b> ('.$i3.')';
					$torrent_info_curr_explain[$torrent_opt]=$user->lang['TORRENT_HISTORY'];
?>